Packages - Housekeeping #3621

Drop duplicate [PCR] packages
2024-03-31 10:11 AM - SolveFinder

Status: open % Done: 0%
Priority: bug

Assignee:

Category:

Description

These packages are already in extra and should be dropped from pcr :

)

biblesync

¢ breeze-plymouth
e cl-ppcre

e font-manager

* |zlib
maliit-framework
ocaml-base
ocaml-sexplib0
perl-carp-always
python-filetype
python-libusb1

¢ python-pefile

e python-poppler-gt5
e ruby-haml

e screenkey

Some notes about pcr-testing/dontpanic :
e |t should be renamed to something like dontpanic-player or
dontpanic-server because perl-acme-alien-dontpanic depends on dontpanic
from extra
¢ |t has a signature issue:

error: dontpanic: signature from "André Silva <emulatorman@hyperbola.info>" is unknown trust

e The upstream url should be changed to https:/framagit.org/prx/dontpanic
because current link doesn't work anymore

History

#1 - 2024-04-14 03:41 PM - SolveFinder

Also these packages should be dropped from pcr/pcr-testing:
e crosstool-ng
e freeipmi

¢ liblas

* pencil2d

® plymouth
#2 - 2024-04-14 10:38 PM - bill-auger

- Subject changed from Drop outdated pcr packages that are already in extra to Drop duplicate [PCR] packages
#3 - 2024-04-15 11:33 AM - wael

I'd add the following to this:

nitroshare, perl-bytes-random-secure, perl-crypt-random-seed, perl-crypt-random-tesha2.
One can obtain an up to date list by running:

pacman -S1 pcr | sed 's/pcr//' | cut -c2- | sed 's/ .*//' > pcr_packages
https://framagit.org/prx/dontpanic

pacman -S1 extra | sed 's/extra//' | cut -c2- | sed 's/ .*//' > extra_packages

sort extra_packages > extra_packages_sorted

sort pcr_packages > pcr_packages_sorted

diff extra_packages_sorted pcr_packages_sorted | grep "<" | sed 's/"< *//' > files.diff
diff extra_packages_sorted files.diff | grep "<" | sed 's/"< *//' > files.same.sorted

Then files.same.sorted should have the list of duplicates.
